/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : adv_view.c
 *   작 성 자 : 오효섭
 *   작 성 일 : 2024.12.20
 *   수 정 일 :
 *   설    명 : 사전등록결제 파일 view
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "chg_struc.h"
#include "file_nm.h"
#include "file_no.h"
#include "dir_path.h"
#include "ipc_def.h"
#include "file_lb.h"
#include "bef_mst.h"
#include "bef_chg.h"

static    struct    bef_mst_tbl      bef_mst_info;

int main(int argc, char *argv[])
{
    int     isfd, isrc;
    char    path[128];
    int options;

    memset(&bef_mst_info, 0, sizeof(struct bef_mst_tbl));

	options = atoi_str_len(argv[1], 1);

	if(options == 0)
	{
		printf("사전등록결제 마스터\n");
    	sprintf(path, "%s/%s/ADVMST", DIR_TCS, DIR_BASEINFO);
	}
	else if(options == 1)
	{
		printf("사전등록결제 변경분\n");
		sprintf(path, "%s/%s/ADVCHG", DIR_TCS, DIR_BASEINFO);
	}

    isfd = open(path, FINPUT+FC_MANULOCK);
    if(isfd < 0)
    {
	printf("open error\n");
	exit(0);
    }

    while(1)
    {

        isrc = read(isfd, &bef_mst_info, sizeof(struct bef_mst_tbl));
	if(isrc < 1) break;

    printf("+++++++++++++++++++++++++++ 사전등록결제 %s 테이블 ++++++++++++++++++++++++++ \n", options==0?"마스터":"변경분"); 
    printf("시퀀스 : %.10s\n", bef_mst_info.snd_no);
    printf("등록구분 : %.2s\n", bef_mst_info.div);
    printf("감면구분 : %.2s\n", bef_mst_info.kind);
    printf("차량번호코드 : %.10s\n", bef_mst_info.car_no);


    }
    lb_close(isfd);
}
